# mdtraj.chemical_shifts_shiftx2

mdtraj.chemical_shifts_shiftx2(trj, pH=5.0, temperature=298.0)

  Predict chemical shifts of a trajectory using ShiftX2.

  Parameters:

    - trj (Trajectory) – Trajectory to predict shifts for.

    - pH (float, optional, default=5.0) – pH value which gets passed to the ShiftX2 predictor.

    - temperature (float, optional, default=298.00) – Temperature which gets passed to the ShiftX2 predictor.

  Returns:

    results – Dataframe containing results, with index consisting of (resSeq, atom_name) pairs and columns for each frame in trj.

  Return type:

    pandas DataFrame

  Notes

  You must have ShiftX2 available on your path; see (http://www.shiftx2.ca/).

  Chemical shift prediction is for PROTEIN atoms; trajectory objects with ligands, solvent, ions, or other non-protein components may give UNKNOWN RESULTS.

  Please cite the appropriate reference below.

  References

  [1]

  Beomsoo Han, Yifeng Liu, Simon Ginzinger, and David Wishart. “SHIFTX2: significantly improved protein chemical shift prediction.” J. Biomol. NMR, 50, 1 43-57 (2011)